Name:		xine-ui
Summary:	A Free Video Player
Version:	0.99.7
Release:	2
License:	GPLv2+
Group:		Video
Source0:	http://downloads.sourceforge.net/project/xine/xine-lib/%{version}/%{name}-%{version}.tar.xz
URL:		http://xine.sourceforge.net/
Requires:	xine-plugins
Requires:	curl	
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils
BuildRequires:	aalib-devel
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
Buildrequires:	pkgconfig(libxine)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(nvtvsimple)
BuildRequires:	pkgconfig(xt)

%description 
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video
Requires:	xine-plugins
Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video
Requires:	xine-plugins

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%setup -q

%build
export XINE_DOCPATH="%{_datadir}/doc/xine-ui"
%configure2_5x	--enable-vdr-keys \
		--with-caca \
		--with-aalib
%make

%install
%makeinstall_std transform=""
install -m644 misc/desktops/xine.desktop -D %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang xine-ui --all-name

rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_datadir}/xine/desktop

%files -f xine-ui.lang
%doc AUTHORS ChangeLog README
%doc doc/README*
%{_bindir}/xine*
%{_datadir}/xine
%{_datadir}/pixmaps/*
%{_datadir}/applications/xine.desktop
%{_datadir}/applications/xine-ui.desktop
%{_datadir}/icons/hicolor/*/apps/xine*
%{_datadir}/mime/packages/xine-ui.xml
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files aa
%doc README
%{_bindir}/aaxine
%{_bindir}/cacaxine

%files fb
%doc README
%{_bindir}/fbxine


%changelog
* Fri Jul 06 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.99.7-2
+ Revision: 808375
- fix unexpanded-macro which for some reason didn't break the build earlier

* Fri Jun 29 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.99.7-1
+ Revision: 807516
- use pkgconfig() deps for buildrequires
- cleanups
- add xine-ui.desktop to %%files

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update 0.99.7

  + Oden Eriksson <oeriksson@mandriva.com>
    - attempt to relink against libpng15.so.15

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.99.6-5
+ Revision: 677478
- rebuild for updated mime-handler

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-4
+ Revision: 671322
- mass rebuild

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-3mdv2011.0
+ Revision: 608211
- rebuild

* Mon May 17 2010 Götz Waschk <waschk@mandriva.org> 0.99.6-2mdv2010.1
+ Revision: 544934
- make xine open URLs (bug #59312)

* Wed Mar 17 2010 Götz Waschk <waschk@mandriva.org> 0.99.6-1mdv2010.1
+ Revision: 523307
- new version
- drop patches
- update file list

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-9mdv2010.0
+ Revision: 378700
- fix installation

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-8mdv2009.1
+ Revision: 336409
- change menu category (bug #47259)

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-7mdv2009.1
+ Revision: 327029
- fix doc dir

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-6mdv2009.1
+ Revision: 293582
- update the patch

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-5mdv2009.0
+ Revision: 280553
- patch from Gentoo to fix caca front-end build
- reenable cacaxine
- update license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.99.5-4mdv2009.0
+ Revision: 266088
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-3mdv2009.0
+ Revision: 201800
- revert mime list generation

* Mon May 05 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-2mdv2009.0
+ Revision: 201279
- use the new way to generate the mime type list for the desktop file
- disable caca
- reenable aalib

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.5-1mdv2008.0
+ Revision: 22232
- new version
- drop patch
- update file list
- drop old menu
- disable aaxine and reenable cacaxine

